Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "9865be8a-76c6-4e60-9b5e-70d3af109c7b",
"user_id": "13131fd0-bf30-4e04-8b21-35b17ab7cd5c",
"user_planning_slot_type_id": "68126e22-afac-4810-bd3e-bbae64fcb448",
"date_from": "2026-11-02T02:28:08.3205825+00:00",
"date_to": "2026-11-02T02:28:08.3205825+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-02T02:28:08.3205825+00:00"
}